/**
 * custom styles for vue-select for Rimow
 */

.v-select .vs__dropdown-toggle {
  display: block;
  width: 100%;
  padding: $form-select-padding-y ($form-select-padding-x + $form-select-indicator-padding) $form-select-padding-y $form-select-padding-x;
  font-family: $form-select-font-family;
  @include font-size($form-select-font-size);
  font-weight: $form-select-font-weight;
  line-height: $form-select-line-height;
  color: $form-select-color;
  vertical-align: middle;
  background-color: $form-select-bg;
  background-image: escape-svg($form-select-indicator);
  background-repeat: no-repeat;
  background-position: $form-select-bg-position;
  background-size: $form-select-bg-size;
  border: $form-select-border-width solid $form-select-border-color;
  @include border-radius($form-select-border-radius, 0);
  @include box-shadow($form-select-box-shadow);
  appearance: none;

  &:focus {
    border-color: $form-select-focus-border-color;
    outline: 0;
    @if $enable-shadows {
      @include box-shadow($form-select-box-shadow, $form-select-focus-box-shadow);
    } @else {
      // Avoid using mixin so we can pass custom focus shadow properly
      box-shadow: $form-select-focus-box-shadow;
    }
  }

  &[multiple],
  &[size]:not([size="1"]) {
    padding-right: $form-select-padding-x;
    background-image: none;
  }

  &:disabled {
    color: $form-select-disabled-color;
    background-color: $form-select-disabled-bg;
    border-color: $form-select-disabled-border-color;
  }

  // Remove outline from select box in FF
  &:-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 $form-select-color;
  }
}


.vue-select-rimow .v-select {
  min-width: 222.3px;
  border: 0;
}

// flat style for rimow-vue-select
.input-group-flat {
  .v-select .vs__dropdown-toggle {
    border-right-style: none;
    border-top-right-radius:0;
    border-bottom-right-radius:0;
    &.focus {
      -webkit-box-shadow: none;
      -moz-box-shadow: none;
      box-shadow: none;
    }
  }
}

.vue-select-rimow {
  position: relative;
  flex: 1 1 auto;
  width: 1%;
}

.input-group-single .vs--open .vs__dropdown-toggle {
  box-shadow: $form-select-focus-box-shadow;
  border-radius: $form-select-border-radius;
}

.v-select {

  &.vs--searchable .vs__dropdown-toggle {
    cursor: pointer;
  }

  &.vs--open {
    .vs__dropdown-toggle {
      border: $form-select-border-width solid $form-select-border-color;
    }
  }

  &.v-select-multiple {
    .vs__dropdown-toggle {
      .vs__selected-options {
        .vs__selected {
          padding: 0 5px;
          margin: 0 5px 2px 0;
        }
      }
    }
  }

  &.v-select-single {
    .vs__dropdown-toggle {
      .vs__selected-options {
        .vs__selected {
          margin: 0;
          padding: 0;
        }
      }
    }
  }

  .vs__dropdown-toggle {

    .vs__search {
      height: 20px;
      margin: 0;
      padding: 0;
      border: none;
      font-size: 13px;
      color: #303030;
      cursor: pointer;
    }
    .vs__actions {
      padding: 0;
      display: none;
    }
    .vs__selected-options {
      padding: 0;
      .vs__selected {
        line-height: inherit;
        color: inherit;
        border: none;
        opacity: 1;
        position: static;
      }
    }
  }

  .vs__dropdown-menu {
    margin-top: 2px;
    padding: 0;
    overflow-y: auto;
    overflow-x: hidden;
    border: $form-select-border-width solid $form-select-border-color;
    @include border-radius($form-select-border-radius, 0);
    .vs__dropdown-option {
      padding: 0;
      overflow: hidden;
      line-height: inherit;
      color: inherit;
      border-bottom: 1px solid rgba(0,0,0,0.05);
      &.vs__dropdown-option--highlight {
        background: $hover-bg;
        color: inherit;
        cursor: pointer;
      }
    }
    .icon {
      width: 0.8rem;
      height: 0.8rem;
    }
    .name {
      font-weight: bold;
      margin-right: 5px;
    }
    .title {
      font-size: 10px;
      display: block;
    }
    .description {
      font-size: 12px;
      display: block;
      opacity: 0.5;
      white-space: nowrap;
      width: 100%;
      text-overflow: ellipsis;
      overflow: hidden;
      padding-right: 15px;
    }
    .meta {
      list-style: none;
      margin: 0;
      padding: 0;
      font-size: 10px;
      margin-bottom: 5px;
      li {
        margin: 0;
        padding: 0;
        display: inline;
        margin-right: 10px;
        span {
          font-style: italic;
        }
      }
    }
  }

  .v, .tag {
    font-size: 11px;
    opacity: 0.8;
  }

  .v::before {
    content: 'v';
  }

}
